Subject: [bug#27893] [PATCH] gnu: julia: Work around some test failures related to libgit2.

From: Leo Famulari <[email-masked]>
Date: Tue, 1 Aug 2017 16:31:40 -0400

On Tue, Aug 01, 2017 at 11:46:44AM +0200, Ludovic Courtès wrote:
> Hi Leo,
> 
> Leo Famulari <[email-masked]> skribis:
> 
> > * gnu/packages/version-control.scm (libgit2-0.25): New variable.
> > * gnu/packages/julia.scm (julia)[inputs]: Replace LIBGIT2 with LIBGIT2-0.25.
> > * gnu/packages/patches/libgit2-use-after-free.patch: New file.
> > * gnu/local.mk (dist_patch_DATA): Add it.
> 
> Sorry for not noticing the breakage!  I wonder if it would be
> easier/safer to fix Julia than to keep the old libgit2.
> 
> Does this upstream commit fix the failures that you saw?

The context of this patch actually doesn't exist in the Julia release.

Based on the very large number of changes to this test between releases,
my impression is that Julia is just not ready for libgit2 0.26.0, even
though there are some commits addressing libgit2 0.26.0 in Julia.

The thing is, I found this test failure building locally but on Hydra
there are different failures [0]. So, even if we fix this issue, we still
probably won't be offering a Julia substitute. Thus, I don't mind
carrying this libgit2-0.25 package privately for now.

[0]
Has anyone got the Julia test suite to pass at all? Spill the beans! :)